For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • GETList Skills
      • POSTCreate Skill
      • GETGet Skill
      • DELDelete Skill
      • GETList Skill Versions
      • POSTCreate Skill Version
      • GETGet Skill Version
      • DELDelete Skill Version
LogoLogo
Contact usJoin the Discord
API ReferenceSkills

Create Skill

POST
https://host.com/v1/skills
POST
/v1/skills
$curl -X POST https://host.com/v1/skills
1{
2 "id": "skill_01HZX8N83J4WQ2E4K4G3Q2H9E8",
3 "created_at": "2026-04-16T10:30:00Z",
4 "display_title": "Sales Ops Helper",
5 "source": "custom",
6 "updated_at": "2026-04-16T10:30:00Z",
7 "collection": "acme-prod",
8 "loading": "lazy",
9 "readonly": false,
10 "latest_version": "v1",
11 "type": "skill"
12}
Create a new skill in a collection from multipart form fields and uploaded files.
Was this page helpful?
Previous

Get Skill

Next
Built with

Headers

anthropic-betalist of stringsOptional

Response

This endpoint returns an object.
idstring
Unique skill identifier.
created_atdatetime
Creation timestamp.
display_titlestring
Human display title.
sourceenum
Source of the skill.
Allowed values:
updated_atdatetime
Update timestamp.
collectionstring

Tenant identifier (org_id boundary).

loadingenum
Instruction loading strategy.
Allowed values:
readonlyboolean
Readonly flag.
latest_versionstring
Latest version token for this skill.
type"skill"
Object type.

Errors

401
Unauthorized
422
Unprocessable Entity